@import url("https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap");

:root {
  --cor-azul: #123c73;
  --cor-verde: #27ae60;
  --cor-fundo-claro: #f5f5f5;
}

body {
  font-family: "Montserrat", Arial, Helvetica, sans-serif;
}

header {
  text-align: center;
  background-color: var(--cor-azul);
  width: 100%;
}

.title {
  color: var(--cor-verde);
  max-width: 50%;
  padding: 20px;
  margin: auto;
  font-family: "Montserrat", Arial, Helvetica, sans-serif;
  font-size: 54px;
}

.title_span {
  font-weight: bold;
}

header nav {
  width: 100%;
  background-color: var(--cor-fundo-claro);
}

header ul {
  display: flex;
  justify-content: center;
  flex-flow: row wrap;
}

header ul li {
  width: 130px;
  margin: 20px;
  padding: 10px 0;
  list-style-type: none;
  border-bottom: 3px solid var(--cor-verde);
}

header ul li a {
  padding: 10px;
  font-size: 18px;
  font-weight: 500;
  color: var(--cor-azul);
  text-decoration: none;
}

header ul li:hover {
  background-color: var(--cor-verde);
  border-radius: 5px;
}

footer {
  width: auto;
  display: flex;
  flex-flow: row wrap;
  justify-content: center;
  align-items: flex-start;
  gap: 30px;
  background-color: var(--cor-azul);
}

.incentivadores {
  display: flex;
  flex-flow: row wrap;
  gap: 20px;
}

.incentivadores__titulo,
.redes__titulo {
  color: var(--cor-verde);
  margin: 20px 10px 0 20px;
}

.incentivadores__conteudo {
  width: 100%;
  display: flex;
  align-items: center;
}

.incentivadores__imagem {
  width: 180px;
  height: 180px;
  margin: 40px 10px 10px;
  border: 10px solid var(--cor-verde);
  border-radius: 10px;
}

.incentivadores__lista {
  list-style-type: none;
  width: auto;
}

.incentivadores__lista-item__link {
  width: auto;
  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  margin: 10px;
  gap: 5px;
  color: var(--cor-verde);
  text-decoration: none;
}

.incentivadores__lista-item__link:hover {
  text-decoration: underline;
}

.incentivadores__lista-item__imagem {
  width: 35px;
  height: 35px;
  background-color: var(--cor-verde);
  border-radius: 10px;
}

.redes {
  display: flex;
  flex-flow: column wrap;
}

.redes div {
  text-align: center;
  padding: 20px;
}

.redes__link {
  color: var(--cor-verde);
}

.redes__imagem:hover {
  cursor: pointer;
}

.direitos {
  width: auto;
  background-color: var(--cor-azul);
  text-align: center;
  color: var(--cor-verde);
  padding-top: 10px;
}

@media (max-width: 480px) {
  .title {
    max-width: 100%;
    font-size: 36px;
  }

  header ul li {
    margin: 5px;
  }

  .incentivadores {
    flex-direction: column;
    justify-content: center;
  }

  .incentivadores__titulo {
    text-align: center;
    margin: 30px 0 0;
  }

  .incentivadores__conteudo {
    flex-direction: column;
    align-items: center;
  }

  .incentivadores__lista-item__link {
    font-size: 16px;
  }
}
